/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package workingwithstringsproject;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;
import java.util.StringJoiner;
import java.util.stream.Collectors;

/**
 *
 * @author aboudiab
 */
public class WorkingWithStrings {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        StringJoiner joiner = new StringJoiner(",");
        joiner.add("C++").add("Java").add("PHP").add("JS");
        System.out.println(joiner.toString());
        
        StringJoiner joiner2 = new StringJoiner(",", "|", "|");
        System.out.println(joiner2.toString());
        joiner2.add("Test");
        System.out.println(joiner2.toString());
        joiner2.add("Test").add("this").add("one").add("more").add("time");
        System.out.println(joiner2.toString());
        
        String [] content = {"New", "interesting", "Java", "method"};
        String result = String.join(";", content);
        System.out.println(result);
        
        Collection<String> data = 
                Arrays.asList("Ten", "Twenty", "Thirty", "Fourty");
        Collection<String> newData = new ArrayList<>(data);
        boolean isRemoved = newData.removeIf(s -> s.startsWith("T"));
        System.out.println(newData.stream().collect(Collectors.joining(", ")));
        
        List<String> upperData = new ArrayList<>(data);
        upperData.replaceAll(String::toUpperCase);
        System.out.println(upperData.stream().collect(Collectors.joining(", ")));
    }
    
}
